<template>
  <div>
    <div class="card m-4">
      <div
        class="card-header d-flex align-items-center"
        style="background: #fff"
      >
        <h3 class="card-title">Profile</h3>
      </div>
      <div class="row p-3">
        <div class="col-md-3">
          <div class="card card-body box-profile text-center">
            <div class="text-center">
              <img
                class="profile-user-img img-fluid img-circle mt-5"
                src="https://1.bp.blogspot.com/-A7UYXuVWb_Q/XncdHaYbcOI/AAAAAAAAZhM/hYOevjRkrJEZhcXPnfP42nL3ZMu4PvIhgCLcBGAsYHQ/s1600/Trend-Avatar-Facebook%2B%25281%2529.jpg"
                alt=""
                style="width: 140px; height: 140px; border: 3px solid #adb5bd; border-radius: 50%;"
              />
            </div>
            <h4 class="profile-username my-3">{{ user.name }}</h4>  
            <p class="text-muted">
              {{ getNameTeamById(user.team_id) }}
            </p>
            <h5 class="text-muted">
              {{ getNameRoleUserById(user.roles) }}
            </h5>
          </div>
        </div>
        <div class="col-md-9">
          <div class="card">
            <div class="card-header">
              <ul class="nav nav-pills">
                <li class="nav-item">
                  <NuxtLink to="detail" class="nav-link">Activity</NuxtLink>
                </li>
                <li class="nav-item">
                  <a class="nav-link active" href="#" data-toggle="tab"
                    >Settings</a
                  >
                </li>
              </ul>
            </div>
            <div class="card-body">
              <ValidationObserver ref="form" v-slot="{ handleSubmit }">
                <form
                  @submit.prevent="handleSubmit(submitForm)"
                  action=""
                  class="card"
                >
                  <div class="card-header">
                    <h3>Seting</h3>
                  </div>
                  <div class="card-body">
                    <div class="mb-3">
                      <div class="mb-3">
                        <label for="name" class="form-label">Name</label>
                        <ValidationProvider
                          rules="required"
                          v-slot="{ errors }"
                        >
                          <input
                            name="name"
                            class="form-control"
                            id="name"
                            rows="3"
                            v-model="user.name"
                          />
                          <span class="text-danger">{{ errors[0] }}</span>
                        </ValidationProvider>
                      </div>
                    </div>
                    <div class="mb-3">
                      <div class="mb-3">
                        <label for="phone" class="form-label">Phone</label>
                        <ValidationProvider
                          rules="required"
                          v-slot="{ errors }"
                        >
                          <input
                            name="phone"
                            id="phone"
                            class="form-control"
                            rows="3"
                            v-model="user.phone"
                          />
                          <span class="text-danger">{{ errors[0] }}</span>
                        </ValidationProvider>
                      </div>
                    </div>
                    <div class="mb-3">
                      <div class="mb-3">
                        <label class="form-label">Gender</label>
                        <div class="d-flex">
                        <div class="form-check mr-5" v-for="(gender,index) in listGender" :key="index">
                          <input 
                            class="form-check-input"
                            type="radio"
                             :name="gender.name"
                             :id="gender.id"
                           v-model="user.gender" :value="gender.id"
                          />
                          <label
                            class="form-check-label"
                            :for="gender.id"
                          >
                            {{gender.name}}
                          </label>
                        </div>
                        </div>
                      </div>
                    </div>
                    <div class="mb-3">
                      <label for="address" class="form-label">Address</label>
                      <ValidationProvider rules="required" v-slot="{ errors }">
                        <input
                          name="address"
                          id="address"
                          type="text"
                          class="form-control"
                          v-model="user.address"
                        />
                        <span class="text-danger">{{ errors[0] }}</span>
                      </ValidationProvider>
                    </div>
                  </div>
                  <div class="card-footer text-center">
                    <button type="submit" class="btn btn-success">
                      Submit
                    </button>
                    <button type="button" class="btn btn-primary" @click="closeForm()">close</button>
                  </div>
                </form>
              </ValidationObserver>
            </div>
          </div>
        </div>
      </div>
      <div class="form-submit">
        <div class="form-group text-center p-3">
          <NuxtLink to="/user/" class="btn btn-outline-primary">Back</NuxtLink>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { LIST_TEAM, ROLE,GENDER, API_USER } from '~/assets/contants/contant.js'
import { validate, ValidationProvider } from 'vee-validate'
import { ValidationObserver } from 'vee-validate'
export default {
  components: {
    ValidationProvider,
    ValidationObserver,
  },
  data() {
    return {
      listGender: GENDER
    }
  },
  props: ['user'],
  methods: {
    getNameTeamById(teamId) {
      const team = LIST_TEAM.find((team) => team.id == teamId)
      return team && team.name
    },
    getNameRoleUserById(roleId) {
      const role = ROLE.find((role) => role.id == roleId)
      return role && role.name
    },
    submitForm() {
      try {
        const response = this.$axios.$put(
          API_USER + this.$auth.user.id,
          this.user
        )
        this.$router.push('detail')
      } catch (err) {
        console.log(err)
        console.log('api error')
      }
    },
    closeForm() {
        if (confirm('bạn có muốn đóng'))
       this.$router.push('detail')
      }
  },
}
</script>

<style>
.box-profile {
  border-top: 3px solid #007bff;
}
.card-body {
  box-shadow: 0 0 1px rgb(0 0 0 / 13%), 0 1px 3px rgb(0 0 0 / 20%);
  height: 100%;
}

</style>
